.colorChooser {
  height: 30px;
  width: 30px;
  cursor: pointer;
  margin-right: 25px;
  border-radius: 5px;
  background-color: white;
  background-blend-mode: soft-light;
  border: 2px solid rgb(61, 61, 61);
  opacity: 0.7;
}

.colorChooser:hover,
.colorChooserSelected {
  box-shadow: 0 0 5px 0 gray;
  opacity: 1;
}

.sizeChooser {
  padding: 5px 15px;
  font-size: 15px;
  margin-right: 25px;
  border-radius: 5px;
  border: 2px solid lightgray;
  cursor: pointer;
  background-color: rgb(243, 243, 243);
  opacity: 0.7;
}

.sizeChooserUnavailable {
  opacity: 0.4;
}

.sizeChooser:hover,
.sizeChooserSelected {
  opacity: 1;
  border: 2px solid darkgray;
}

.productWrapper {
  height: 100%;
  padding: 50px 0;
}
.productWrapper label {
  font-size: 18px;
  color: gray;
  margin-right: 20px;
}

.productImageWrapper {
  min-height: 500px;
  max-height: 700px;
  overflow: hidden;
}

.productImageWrapper > img {
  max-height: 100%;
}

.productContentWrapper {
  padding: 50px 30px;
  box-shadow: -3px 0 1px 0 lightgray;
}

.productName {
  font-size: 50px;
  font-variant: small-caps;
  color: rebeccapurple;
}

.productBrand {
  font-variant: small-caps;
}

.productCategory {
  font-size: 20px;
}

.productColorWrapper,
.productSizeWrapper,
.productDescription {
  box-shadow: 0 0 3px 0 lightgray;
  border-radius: 20px;
  padding: 20px;
}

.productPrice {
  box-shadow: 0 0 3px 0 green;
  padding: 10px 20px;
  border-radius: 20px;
  color: dimgray;
}
